#
# spec file for package hamlog (Version 0.9.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  glib glib-devel gtk gtk-devel xf86

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext glib glib-devel gnome-filesystem gtk gtk-devel libtool perl rpm xorg-x11 xorg-x11-devel xorg-x11-libs

Name:         hamlog
License:      distributable
Group:        Productivity/Hamradio/Logging
Autoreqprov:  on
Version:      0.9.1
Release:      978
Summary:      Amateur Radio Logging program for X using GTK
Source:       ftp://sunsite.unc.edu/pub/Linux/apps/ham/log/HamLog-%{version}.src.tar.gz
Source1:      hamlog-wrapper
URL:          http://www.aeminium.org/HamLog/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Amateur Radio Logging program for X using GTK



Authors:
--------
    Nuno Miguel Fernandes Sucena Almeida <slug@alumni.dee.uc.pt>

%debug_package
%prep
%setup -n HamLog-%{version}

%build
make clean 
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/{bin,share/hamlog}
install *.txt $RPM_BUILD_ROOT/usr/share/hamlog/
install HamLog-%{version} $RPM_BUILD_ROOT/usr/bin/
install $RPM_SOURCE_DIR/hamlog-wrapper $RPM_BUILD_ROOT/usr/bin/hamlog
chmod 755 $RPM_BUILD_ROOT/usr/bin/{hamlog,HamLog-%{version}}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog HamLog-0.9.1.lsm README TODO
/usr/bin/*
/usr/share/hamlog

%changelog -n hamlog
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Wed Jun 18 2003 - ro@suse.de
- added directory to filelist
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to X11/Applications/Hamradio
* Mon May 15 2000 - bubnikv@suse.cz
- added buildroot, URL
- moved ~/hamlog directory to ~/.hamlog
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Wed Mar 31 1999 - bs@suse.de
- don't use lx_hack for build
* Thu Mar 04 1999 - ka@suse.de
- initial release
